This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 58847 - ntpd can't open /etc/ntp.drift.TEMP: Permission denied
ntpd can't open /etc/ntp.drift.TEMP: Permission denied
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 15:08 EST by James McDermott
Modified: 2014-08-24 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-11 17:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James McDermott 2002-01-25 15:08:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
ntpd can't open /etc/ntp.drift.TEMP: Permission denied this is being 
reported 142 times in a day. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up ntpd
2.Let it run
	

Actual Results:  Recieved that error message.

Expected Results:  This file should not show up.

Additional info:
Comment 1 Olivier Baudron 2002-01-28 05:32:47 EST
One reason for this problem is dhcpcd (version >= 1.3.21). If your dhcp server
does not supply any ntp options, dhcpcd replace your /etc/ntp.conf with a
f**king default script that has this directory bug. This happens each time
dhcpcd is started, especially after a reboot.

The turn around is to add to /etc/sysconfig/network-scripts/ifcfg-eth0:
DHCPCDARGS="-N -Y"
Comment 2 Harald Hoyer 2002-01-28 06:01:25 EST
Which version of ntp?
The driftfile should be in /etc/ntp, where ntp should have write access
driftfile /etc/ntp/drift
Comment 3 Need Real Name 2002-02-05 15:02:56 EST
Interesting, I am having the exact same problem, but we aren't using DHCP at
all... I'm looking into it.. I'm guessing it shouldn't be writing into the root
of /etc but rather to /etc/ntp/.. our /etc/ntp.conf tells it to write to
/etc/ntp/drift.
Comment 4 Harald Hoyer 2002-04-02 09:51:27 EST
i need /etc/ntp.conf and ntp versions!
Comment 5 James McDermott 2002-04-24 16:31:16 EDT
The client is running into this on stock 7.2 ntpd and dhcpd.
Comment 6 Harald Hoyer 2002-06-11 12:22:11 EDT
I agree and dhcp must not change an already defined value!! 
 
One reason for this problem is dhcpcd (version >= 1.3.21). If your dhcp server 
does not supply any ntp options, dhcpcd replace your /etc/ntp.conf with a 
f**king default script that has this directory bug. This happens each time 
dhcpcd is started, especially after a reboot. 
 
The turn around is to add to /etc/sysconfig/network-scripts/ifcfg-eth0: 
DHCPCDARGS="-N -Y"
Comment 7 Elliot Lee 2002-06-11 17:22:26 EDT
Hmm, I know I patched out some of the 'gratuitous default config file creation'
from dhcpcd - if I didn't catch the NTP case, send patches.

Note You need to log in before you can comment on or make changes to this bug.